#
# spec file for package libgmm++-devel
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgmm++-devel
BuildRequires:  gcc-c++
Summary:        Generic C++ template library for sparse, dense and skyline matrices
License:        LGPL-2.1
Group:          Development/Libraries/C and C++
Version:        4.2
Release:        8.1
Source:         http://download.gna.org/getfem/stable/gmm-%{version}.tar.gz
Url:            http://home.gna.org/getfem/gmm_intro
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
gmm++ is a generic C++ template library for sparse, dense and skyline
matrices. It is built as a set of generic algorithms (mult, add, copy,
sub-matrices, dense and sparse solvers ...) for any interfaced vector
type or matrix type. It can be view as a glue library allowing
cooperation between several vector and matrix types. However, basic
sparse, dense and skyline matrix/vector types are built in Gmm++, hence
it can be used as a standalone linear algebra library



Authors:
--------
    Yves Renard
    Julien Pommier

%prep
%setup -q -n gmm-%version

%build
%configure
make %{?jobs:-j%jobs}

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%{_includedir}/gmm

%changelog
* Sat Feb  1 2014 hrvoje.senjan@gmail.com
- Update to new upstream 4.2 release - no changelog provided
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Sat Nov 17 2007 dmueller@suse.de
- add gcc-c++ to buildrequires
* Fri Nov  9 2007 dmueller@suse.de
- Initial package (3.0)
